Skip to content
getgeolens.com

Update Contact Endpoint

PATCH
/records/{record_id}/contacts/{contact_id}/
curl --request PATCH \
--url https://example.com/records/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "role": "example", "name": "example", "email": "hello@example.com", "organization": "example", "phone": "example", "extra_json": {}, "sort_order": 1 }'

Update a contact.

record_id
required
Record Id
string format: uuid
contact_id
required
Contact Id
string format: uuid
Media type application/json
ContactUpdate
object
role
Any of:
string
<= 30 characters
name
Any of:
string
<= 500 characters
email
Any of:
string format: email
organization
Any of:
string
<= 500 characters
phone
Any of:
string
<= 50 characters
extra_json
Any of:
object
key
additional properties
any
sort_order
Any of:
integer
<= 9999
Example generated
{
"role": "example",
"name": "example",
"email": "hello@example.com",
"organization": "example",
"phone": "example",
"extra_json": {},
"sort_order": 1
}

Successful Response

Media type application/json
ContactResponse
object
id
required
Id
string format: uuid
record_id
required
Record Id
string format: uuid
role
required
Role
string
name
required
Any of:
string
email
required
Any of:
string
organization
required
Any of:
string
phone
required
Any of:
string
extra_json
required
Any of:
object
key
additional properties
any
sort_order
required
Sort Order
integer
Example generated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"record_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"role": "example",
"name": "example",
"email": "example",
"organization": "example",
"phone": "example",
"extra_json": {},
"sort_order": 1
}

Bad request — invalid payload

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Unauthorized — missing or invalid credentials

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Forbidden — caller lacks write access

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Not found

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Conflict — resource state prevents the operation

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Validation error

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
type
Type
string
default: about:blank
title
required
Title
string
status
required
Status
integer
detail
required
Any of:
string
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}